//
//  Student.m
//  Students
//
//  Created by Ken Anderson on 8/30/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "Student.h"

@implementation Student

@synthesize name=_name;

- (id)init {
    return [self initWithName:@"No Name"];
}

- (id)initWithName:(NSString*)name {
    self = [super init];
    if (self) {
        self.name = name;
    }    
    return self;
}

- (void) saySomething {
    NSLog(@"%@ says \"%@\"", self.name, [self sayWhat]);
}

- (NSString*) sayWhat {
    return @"Nothing";
}

- (NSString *)description {
    return [NSString stringWithFormat:@"%14@ : %@", [self class], self.name];
}
          
@end
